// © 2025 Naked People Team. All Rights Reserved.


#include "RunNakedDistanceObjective.h"

#include "NakedDesire/Global/Gait.h"
#include "NakedDesire/Player/NakedDesireCharacter.h"

#define LOCTEXT_NAMESPACE "Commissions.Objectives.RunNakedDistance"

bool URunNakedDistanceObjective::DoesSampleCount() const
{
	return IsFullyNaked() && Player && Player->GetGait() == EGait::Run;
}

FText URunNakedDistanceObjective::GetDescription() const
{
	return FText::Format(LOCTEXT("Run", "Run {0} m naked"), FText::AsNumber(FMath::RoundToInt(RequiredMeters)));
}

#undef LOCTEXT_NAMESPACE